#######################################
# Common to normal and priority gossip
#######################################
include.control                     prps stats

#random.seed                         1234567890
simulation.endtime                  20
network.size                        100000

init.sch                            CDScheduler
init.sch.protocol                   pgossipdup
#init.sch.randstart

init.send                           FirstSenderSetter
init.send.protocol                  pgossipdup

control.stats                       RoundStats
control.stats.step                  1
control.stats.protocol              pgossipdup
control.stats.density               0.01

protocol.transport                  ReliableTransport
protocol.transport.latency          1

protocol.neighboursP                NeighboursLinkable
protocol.neighboursS                NeighboursLinkable
protocol.neighboursPS               NeighboursLinkable

##################
# Priority gossip
##################
init.prim                           PrimarySetter
init.prim.protocol                  pgossipdup
init.prim.density                   0.01

control.prps                        PriorityRandomPeerSampler
control.prps.step                   10
control.prps.degree                 10
control.prps.protocol               pgossipdup
control.prps.linkableP              neighboursP
control.prps.linkableS              neighboursS
control.prps.linkablePS             neighboursPS
control.prps.alpha                  0
control.prps.beta                   0

protocol.pgossipdup                 PriorityGossipDuplicate
protocol.pgossipdup.step            1
protocol.pgossipdup.linkableP       neighboursP
protocol.pgossipdup.linkableS       neighboursS
protocol.pgossipdup.transport       transport
protocol.pgossipdup.tagsActivated   true

